package org.ow2.orchestra.designer.commands
{
	import com.adobe.cairngorm.business.ServiceLocator;
	import com.adobe.cairngorm.commands.ICommand;
	import com.adobe.cairngorm.control.CairngormEvent;


	import mx.rpc.remoting.RemoteObject;
	import mx.rpc.events.FaultEvent;
	import mx.rpc.events.ResultEvent;
	import mx.controls.Alert;
	import mx.rpc.AsyncToken;
	import mx.rpc.Responder;




	public class GetUsernameCMD implements ICommand
	{
		public function GetUsernameCMD()
		{
		}

		public function execute(event:CairngormEvent):void
		{
			var remote:RemoteObject = ServiceLocator.getInstance().getRemoteObject("sessionManager");
			var token:AsyncToken = remote.getUsername();
			// add fonctions to call on result
			token.addResponder(new Responder(getUsernameResult, fault));
		}

		private function getUsernameResult(event:ResultEvent):void {
			var userName:String;
			//getting username
			userName = event.result as String;
		}

		private function fault(event:FaultEvent):void {
			Alert.show("Remote invoke error: " + event.message);
		}

	}
}